%global debug_package %{nil}
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE1}

Name:           libstrangle
Version:        0.1.1
Release:        1%{?dist}
Summary:        Framerate limiter for Linux

License:        GPLv3+
URL:            https://gitlab.com/torkel104/libstrangle
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2
Source1:        https://copr-dist-git.fedorainfracloud.org/cgit/atim/libstrangle/libstrangle.git/plain/libstrangle-filter-requires.sh
# Patch0:         00-defer-ldconfig.patch
# Patch0:         01-fix-prefix.patch

ExclusiveArch:  x86_64

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glibc
BuildRequires:  libstdc++(x86-32)
BuildRequires:  glibc-devel(x86-32)
BuildRequires:  mesa-libGL-devel

Requires:       glibc

%description
Frame rate limiter for Linux (OpenGL and Vulkan).

%prep
%autosetup
sed -i -e '/ldconfig/d' makefile
sed -i -e 's/prefix=\/usr\/local/prefix=\/usr/' makefile
cp COPYING LICENSE


%build
%make_build


%install
%make_install

%ldconfig_scriptlets

%files
%doc README.md
%doc LICENSE
%license COPYING
%{_bindir}/strangle
%{_bindir}/stranglevk
%{_prefix}/lib/%{name}
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
/usr/share/vulkan/implicit_layer.d/libstrangle_vk.json

%changelog
* Thu Jul 16 2020 alih <alih@fedoraproject.org> - 0.1.1-1
- Initial package. I mostly want an updated version of libstrangle. This is my first COPR.
- I copied what's available here: https://copr.fedorainfracloud.org/coprs/atim/libstrangle/
